module.exports = {
  filters: {
    notPrevented: require("vue-filters/notPrevented"),
    prevent: require("vue-filters/prevent")
  },
  props: {
    "target": {
      type: String,
      required: true
    }
  },
  watch: {
    "target": "addTarget"
  },
  data: function() {
    return {
      active: false,
      targetEl: null
    };
  },
  events: {
    activate: function(name) {
      this.active = name === this.target;
      return true;
    }
  },
  methods: {
    addTarget: function(newTarget, oldTarget) {
      if (newTarget == null) {
        newTarget = this.target;
      }
      if (oldTarget != null) {
        this.removeTarget(oldTarget);
      }
      this.targetEl = document.getElementById(newTarget);
      if (this.targetEl != null) {
        return this.$dispatch("addTarget", newTarget, this.targetEl);
      }
    },
    removeTarget: function(target) {
      if (target == null) {
        target = this.target;
      }
      return this.$dispatch("removeTarget", target);
    },
    scrollTo: function() {
      var ref;
      this.$dispatch("activate", this.target);
      return (ref = this.targetEl) != null ? ref.scrollIntoView() : void 0;
    }
  },
  attached: function() {
    return this.addTarget();
  },
  dettached: function() {
    return this.removeTarget();
  }
};

if (module.exports.__esModule) module.exports = module.exports.default
;(typeof module.exports === "function"? module.exports.options: module.exports).template = "<li><a v-bind:class={active:active} v-bind:style=\"{cursor:'pointer'}\" @click=\"scrollTo | notPrevented | prevent\"><slot></slot></a>"
